<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('style.css');
        @import url('roundedcorners.css');
        @import url('tree.css');
            </style>
    
    <script src="sorttable.js" type="text/javascript"></script>
    <script src="overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="clover.js" type="text/javascript"></script>
    <script src="cloud.js" type="text/javascript"></script>
    <script src="help.js" type="text/javascript"></script>
  <title>HttpCore 4.3-alpha1</title>
</head><body onload="setBrowserTitle('HttpCore 4.3-alpha1: Dashboard')">
<table cellspacing="0" cellpadding="2" class="barGraph">

  <tr>
    <td colspan="2">

    <div class="roundedLarge">
      <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
      <div class="roundedContent">
    <table width="100%" class="" cellspacing="0"><tr class="reportHeader">
    <td valign="top" class="titleText">Clover Coverage  Report - <a href="http://hc.apache.org/httpcomponents-core-ga" target="_top">HttpCore 4.3-alpha1</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Wed Nov 28 2012 22:43:21 CET</div>

        
    
            <div class="navBar"><span class="navBarCurrent">Overview</span>&nbsp;&nbsp;&nbsp;Package&nbsp;&nbsp;&nbsp;File</div>
    
    <div class="navBarLink">
        &nbsp;&nbsp;&nbsp;
        <a href="index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
        <a href="dashboard.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
        <label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label>&nbsp;&nbsp;
    </div>

    </td>

    
        

     <td  id="td-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: ;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for project Clover database Wed Nov 28 2012 22:43:03 CET:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'project';">Stmts:</label></td>
           <td >      4,657
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'project';">LOC:</label></td>
           <td >      28,889
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'project';">Total cmp:</label></td>
           <td >      2,297
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      3.87
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'project';">Branches:</label></td>
           <td >      1,820
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'project';">NCLOC:</label></td>
           <td >      12,053
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'project';">Cmp density:</label></td>
           <td >      0.49
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      5.4
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'project';">Methods:</label></td>
           <td >      1,204
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'project';">Files:</label></td>
           <td >      219
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'project';">Avg method cmp:</label></td>
           <td >      1.91
  </td>
           <td style="width: 5%">&nbsp;</td>
                     <td  class="totalText"><label onkeyup="return help_classes_per_package;">Classes/Pkg:</label></td>
           <td >      14.87
  </td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'project';">Classes:</label></td>
            <td >      223
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td  class="totalText"><label onkeyup="return help_packages + 'project';">Packages:</label></td>
            <td >      15
  </td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>

    
    
    

     <td  id="td-filtered-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: none;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for project Clover database Wed Nov 28 2012 22:43:03 CET:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'project';">Stmts:</label></td>
           <td >      4,657
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'project';">LOC:</label></td>
           <td >      28,889
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'project';">Total cmp:</label></td>
           <td >      2,297
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      3.87
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'project';">Branches:</label></td>
           <td >      1,820
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'project';">NCLOC:</label></td>
           <td >      12,053
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'project';">Cmp density:</label></td>
           <td >      0.49
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      5.4
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'project';">Methods:</label></td>
           <td >      1,204
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'project';">Files:</label></td>
           <td >      219
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'project';">Avg method cmp:</label></td>
           <td >      1.91
  </td>
           <td style="width: 5%">&nbsp;</td>
                     <td  class="totalText"><label onkeyup="return help_classes_per_package;">Classes/Pkg:</label></td>
           <td >      14.87
  </td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'project';">Classes:</label></td>
            <td >      223
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td  class="totalText"><label onkeyup="return help_packages + 'project';">Packages:</label></td>
            <td >      15
  </td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>
</tr>

    </table>
  </div>
  <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
  </div>

   </td>
  </tr>




<tr><td class="hbreak" colspan="2" ></td></tr>

        
<tr valign="top">

    <td class="hbreak" colspan="1">
    <div class="left-third">
                <div class="tags roundedLarge" style="padding: 5px;">
            <b class="ctop $cnrclass"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
        <div class="roundedContent" style="padding: 5px;">
                
            <label class="titleText link" onkeyup="return help_dash_coverage;" onclick="self.location='pkg-summary.html'">Coverage</label><span> 223 classes, 5,339 / 7,681 elements</span>
            <table><tr><td>69.5%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.6950918</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="30.5% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="69.5% Covered" class="barPositive " style="width: 69.5%"></div>
    </div>
</div></td></tr></table>
                </div>
            <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
        </div>
    
                        <div class="tags roundedLarge" style="padding: 5px;">
            <b class="ctop $cnrclass"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
        <div class="roundedContent" style="padding: 5px;">
                <div><label class="titleText link" onkeyup="return help_dash_coverage;" onclick="self.location='pkg-summary.html'">Class Coverage Distribution</label></div>
            <div class="center"><img src="img/classDistrubutionChart.png" alt="img/classDistrubutionChart.png" usemap="#classDistrubutionChart.png"/>
            <map id="classDistrubutionChart.png" name="classDistrubutionChart.png">
<area shape="rect" coords="245,12,263,149" title="66 classes have 91-100% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="225,102,243,149" title="23 classes have 81-90% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="204,125,222,150" title="12 classes have 71-80% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="183,133,201,149" title="8 classes have 61-70% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="162,138,180,150" title="6 classes have 51-60% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="142,140,160,150" title="5 classes have 41-50% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="121,146,139,150" title="2 classes have 31-40% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="100,148,118,150" title="1 class has 21-30% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="79,144,97,150" title="3 classes have 11-20% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="58,148,76,150" title="1 class has 1-10% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="38,83,56,149" title="32 classes have 0% coverage" alt="" nohref="nohref"/>
</map></div>
                </div>
            <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
        </div>
            
                        <div class="tags roundedLarge" style="padding: 5px;">
            <b class="ctop $cnrclass"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
        <div class="roundedContent" style="padding: 5px;">
                <div><label class="titleText link" onkeyup="return help_dash_risks;" onclick="self.location='proj-risks.html'">Class Complexity</label></div>
            <div class="center"><img src="img/classComplexityChart.png" alt="img/classComplexityChart.png" usemap="#classComplexityChart.png"/>
            <map id="classComplexityChart.png" name="classComplexityChart.png">
<area shape="poly" coords="241,104,239,106,236,104,239,101,241,104,241,104" title="Cmp: 23; Cov: 91%; BasicFuture" alt="" href="org/apache/http/concurrent/BasicFuture.html#BasicFuture"/>
<area shape="poly" coords="260,148,257,151,255,148,257,146,260,148,260,148" title="Cmp: 2; Cov: 100%; UnsupportedHttpVersionException" alt="" href="org/apache/http/UnsupportedHttpVersionException.html#UnsupportedHttpVersionException"/>
<area shape="poly" coords="260,150,257,153,255,150,257,148,260,150,260,150" title="Cmp: 1; Cov: 100%; TruncatedChunkException" alt="" href="org/apache/http/TruncatedChunkException.html#TruncatedChunkException"/>
<area shape="poly" coords="231,112,228,115,226,112,228,110,231,112,231,112" title="Cmp: 19; Cov: 86%; ProtocolVersion" alt="" href="org/apache/http/ProtocolVersion.html#ProtocolVersion"/>
<area shape="poly" coords="260,146,257,149,255,146,257,144,260,146,260,146" title="Cmp: 3; Cov: 100%; ProtocolException" alt="" href="org/apache/http/ProtocolException.html#ProtocolException"/>
<area shape="poly" coords="156,148,153,151,151,148,153,146,156,148,156,148" title="Cmp: 2; Cov: 50%; ParseException" alt="" href="org/apache/http/ParseException.html#ParseException"/>
<area shape="poly" coords="260,150,257,153,255,150,257,148,260,150,260,150" title="Cmp: 1; Cov: 100%; TruncatedChunkException" alt="" href="org/apache/http/TruncatedChunkException.html#TruncatedChunkException"/>
<area shape="poly" coords="260,148,257,151,255,148,257,146,260,148,260,148" title="Cmp: 2; Cov: 100%; UnsupportedHttpVersionException" alt="" href="org/apache/http/UnsupportedHttpVersionException.html#UnsupportedHttpVersionException"/>
<area shape="poly" coords="260,150,257,153,255,150,257,148,260,150,260,150" title="Cmp: 1; Cov: 100%; TruncatedChunkException" alt="" href="org/apache/http/TruncatedChunkException.html#TruncatedChunkException"/>
<area shape="poly" coords="260,148,257,151,255,148,257,146,260,148,260,148" title="Cmp: 2; Cov: 100%; UnsupportedHttpVersionException" alt="" href="org/apache/http/UnsupportedHttpVersionException.html#UnsupportedHttpVersionException"/>
<area shape="poly" coords="222,133,220,136,217,133,220,131,222,133,222,133" title="Cmp: 9; Cov: 82%; HttpVersion" alt="" href="org/apache/http/HttpVersion.html#HttpVersion"/>
<area shape="poly" coords="251,114,249,117,246,114,249,112,251,114,251,114" title="Cmp: 18; Cov: 96%; HttpHost" alt="" href="org/apache/http/HttpHost.html#HttpHost"/>
<area shape="poly" coords="52,150,50,153,47,150,50,148,52,150,52,150" title="Cmp: 1; Cov: 0%; HttpHeaders" alt="" href="org/apache/http/HttpHeaders.html#HttpHeaders"/>
<area shape="poly" coords="260,146,257,149,255,146,257,144,260,146,260,146" title="Cmp: 3; Cov: 100%; ProtocolException" alt="" href="org/apache/http/ProtocolException.html#ProtocolException"/>
<area shape="poly" coords="52,150,50,153,47,150,50,148,52,150,52,150" title="Cmp: 1; Cov: 0%; HttpHeaders" alt="" href="org/apache/http/HttpHeaders.html#HttpHeaders"/>
<area shape="poly" coords="52,150,50,153,47,150,50,148,52,150,52,150" title="Cmp: 1; Cov: 0%; HttpHeaders" alt="" href="org/apache/http/HttpHeaders.html#HttpHeaders"/>
<area shape="poly" coords="260,150,257,153,255,150,257,148,260,150,260,150" title="Cmp: 1; Cov: 100%; TruncatedChunkException" alt="" href="org/apache/http/TruncatedChunkException.html#TruncatedChunkException"/>
<area shape="poly" coords="52,81,50,83,47,81,50,78,52,81,52,81" title="Cmp: 34; Cov: 0%; VersionInfo" alt="" href="org/apache/http/util/VersionInfo.html#VersionInfo"/>
<area shape="poly" coords="260,140,257,142,255,140,257,137,260,140,260,140" title="Cmp: 6; Cov: 100%; TextUtils" alt="" href="org/apache/http/util/TextUtils.html#TextUtils"/>
<area shape="poly" coords="52,146,50,149,47,146,50,144,52,146,52,146" title="Cmp: 3; Cov: 0%; NetUtils" alt="" href="org/apache/http/util/NetUtils.html#NetUtils"/>
<area shape="poly" coords="254,121,251,123,249,121,251,118,254,121,254,121" title="Cmp: 15; Cov: 97%; LangUtils" alt="" href="org/apache/http/util/LangUtils.html#LangUtils"/>
<area shape="poly" coords="52,140,50,142,47,140,50,137,52,140,52,140" title="Cmp: 6; Cov: 0%; ExceptionUtils" alt="" href="org/apache/http/util/ExceptionUtils.html#ExceptionUtils"/>
<area shape="poly" coords="181,93,178,96,176,93,178,91,181,93,181,93" title="Cmp: 28; Cov: 62%; EntityUtils" alt="" href="org/apache/http/util/EntityUtils.html#EntityUtils"/>
<area shape="poly" coords="237,129,234,132,232,129,234,127,237,129,237,129" title="Cmp: 11; Cov: 89%; EncodingUtils" alt="" href="org/apache/http/util/EncodingUtils.html#EncodingUtils"/>
<area shape="poly" coords="52,140,50,142,47,140,50,137,52,140,52,140" title="Cmp: 6; Cov: 0%; ExceptionUtils" alt="" href="org/apache/http/util/ExceptionUtils.html#ExceptionUtils"/>
<area shape="poly" coords="254,15,251,17,249,15,251,12,254,15,254,15" title="Cmp: 65; Cov: 97%; CharArrayBuffer" alt="" href="org/apache/http/util/CharArrayBuffer.html#CharArrayBuffer"/>
<area shape="poly" coords="256,53,253,56,251,53,253,51,256,53,256,53" title="Cmp: 47; Cov: 98%; ByteArrayBuffer" alt="" href="org/apache/http/util/ByteArrayBuffer.html#ByteArrayBuffer"/>
<area shape="poly" coords="239,136,236,138,234,136,236,133,239,136,239,136" title="Cmp: 8; Cov: 90%; Asserts" alt="" href="org/apache/http/util/Asserts.html#Asserts"/>
<area shape="poly" coords="260,108,257,111,255,108,257,106,260,108,260,108" title="Cmp: 21; Cov: 100%; Args" alt="" href="org/apache/http/util/Args.html#Args"/>
<area shape="poly" coords="135,138,133,140,130,138,133,135,135,138,135,138" title="Cmp: 7; Cov: 40%; SocketConfig.Builder" alt="" href="org/apache/http/config/SocketConfig.html#SocketConfig.Builder"/>
<area shape="poly" coords="177,133,174,136,172,133,174,131,177,133,177,133" title="Cmp: 9; Cov: 60%; SocketConfig" alt="" href="org/apache/http/config/SocketConfig.html#SocketConfig"/>
<area shape="poly" coords="229,142,226,144,224,142,226,139,229,142,229,142" title="Cmp: 5; Cov: 85%; RegistryBuilder" alt="" href="org/apache/http/config/RegistryBuilder.html#RegistryBuilder"/>
<area shape="poly" coords="220,144,218,147,215,144,218,142,220,144,220,144" title="Cmp: 4; Cov: 81%; Registry" alt="" href="org/apache/http/config/Registry.html#Registry"/>
<area shape="poly" coords="146,144,143,147,141,144,143,142,146,144,146,144" title="Cmp: 4; Cov: 45%; MessageConstraints.Builder" alt="" href="org/apache/http/config/MessageConstraints.html#MessageConstraints.Builder"/>
<area shape="poly" coords="166,138,164,140,161,138,164,135,166,138,166,138" title="Cmp: 7; Cov: 55%; MessageConstraints" alt="" href="org/apache/http/config/MessageConstraints.html#MessageConstraints"/>
<area shape="poly" coords="94,123,91,125,89,123,91,120,94,123,94,123" title="Cmp: 14; Cov: 20%; ConnectionConfig.Builder" alt="" href="org/apache/http/config/ConnectionConfig.html#ConnectionConfig.Builder"/>
<area shape="poly" coords="183,136,180,138,178,136,180,133,183,136,183,136" title="Cmp: 8; Cov: 63%; ConnectionConfig" alt="" href="org/apache/http/config/ConnectionConfig.html#ConnectionConfig"/>
<area shape="poly" coords="200,144,197,147,195,144,197,142,200,144,200,144" title="Cmp: 4; Cov: 71%; BasicPoolEntry" alt="" href="org/apache/http/impl/pool/BasicPoolEntry.html#BasicPoolEntry"/>
<area shape="poly" coords="135,142,133,144,130,142,133,139,135,142,135,142" title="Cmp: 5; Cov: 40%; BasicConnPool" alt="" href="org/apache/http/impl/pool/BasicConnPool.html#BasicConnPool"/>
<area shape="poly" coords="166,114,164,117,161,114,164,112,166,114,166,114" title="Cmp: 18; Cov: 55%; BasicConnFactory" alt="" href="org/apache/http/impl/pool/BasicConnFactory.html#BasicConnFactory"/>
<area shape="poly" coords="185,117,182,119,180,117,182,114,185,117,185,117" title="Cmp: 17; Cov: 64%; StringEntity" alt="" href="org/apache/http/entity/StringEntity.html#StringEntity"/>
<area shape="poly" coords="239,127,236,130,234,127,236,125,239,127,239,127" title="Cmp: 12; Cov: 90%; SerializableEntity" alt="" href="org/apache/http/entity/SerializableEntity.html#SerializableEntity"/>
<area shape="poly" coords="231,125,228,128,226,125,228,123,231,125,231,125" title="Cmp: 13; Cov: 86%; InputStreamEntity" alt="" href="org/apache/http/entity/InputStreamEntity.html#InputStreamEntity"/>
<area shape="poly" coords="239,131,236,134,234,131,236,129,239,131,239,131" title="Cmp: 10; Cov: 90%; HttpEntityWrapper" alt="" href="org/apache/http/entity/HttpEntityWrapper.html#HttpEntityWrapper"/>
<area shape="poly" coords="189,129,187,132,184,129,187,127,189,129,189,129" title="Cmp: 11; Cov: 66%; FileEntity" alt="" href="org/apache/http/entity/FileEntity.html#FileEntity"/>
<area shape="poly" coords="260,140,257,142,255,140,257,137,260,140,260,140" title="Cmp: 6; Cov: 100%; TextUtils" alt="" href="org/apache/http/util/TextUtils.html#TextUtils"/>
<area shape="poly" coords="251,97,249,100,246,97,249,95,251,97,251,97" title="Cmp: 26; Cov: 96%; ContentType" alt="" href="org/apache/http/entity/ContentType.html#ContentType"/>
<area shape="poly" coords="231,117,228,119,226,117,228,114,231,117,231,117" title="Cmp: 17; Cov: 86%; ByteArrayEntity" alt="" href="org/apache/http/entity/ByteArrayEntity.html#ByteArrayEntity"/>
<area shape="poly" coords="260,127,257,130,255,127,257,125,260,127,260,127" title="Cmp: 12; Cov: 100%; BufferedHttpEntity" alt="" href="org/apache/http/entity/BufferedHttpEntity.html#BufferedHttpEntity"/>
<area shape="poly" coords="218,127,216,130,213,127,216,125,218,127,218,127" title="Cmp: 12; Cov: 80%; BasicHttpEntity" alt="" href="org/apache/http/entity/BasicHttpEntity.html#BasicHttpEntity"/>
<area shape="poly" coords="251,127,249,130,246,127,249,125,251,127,251,127" title="Cmp: 12; Cov: 96%; AbstractHttpEntity" alt="" href="org/apache/http/entity/AbstractHttpEntity.html#AbstractHttpEntity"/>
<area shape="poly" coords="52,133,50,136,47,133,50,131,52,133,52,133" title="Cmp: 9; Cov: 0%; SyncBasicHttpParams" alt="" href="org/apache/http/params/SyncBasicHttpParams.html#SyncBasicHttpParams"/>
<area shape="poly" coords="60,110,58,113,55,110,58,108,60,110,60,110" title="Cmp: 20; Cov: 4%; HttpProtocolParams" alt="" href="org/apache/http/params/HttpProtocolParams.html#HttpProtocolParams"/>
<area shape="poly" coords="52,140,50,142,47,140,50,137,52,140,52,140" title="Cmp: 6; Cov: 0%; ExceptionUtils" alt="" href="org/apache/http/util/ExceptionUtils.html#ExceptionUtils"/>
<area shape="poly" coords="52,142,50,144,47,142,50,139,52,142,52,142" title="Cmp: 5; Cov: 0%; HttpParamConfig" alt="" href="org/apache/http/params/HttpParamConfig.html#HttpParamConfig"/>
<area shape="poly" coords="52,117,50,119,47,117,50,114,52,117,52,117" title="Cmp: 17; Cov: 0%; HttpConnectionParams" alt="" href="org/apache/http/params/HttpConnectionParams.html#HttpConnectionParams"/>
<area shape="poly" coords="52,138,50,140,47,138,50,135,52,138,52,138" title="Cmp: 7; Cov: 0%; HttpConnectionParamBean" alt="" href="org/apache/http/params/HttpConnectionParamBean.html#HttpConnectionParamBean"/>
<area shape="poly" coords="52,150,50,153,47,150,50,148,52,150,52,150" title="Cmp: 1; Cov: 0%; HttpHeaders" alt="" href="org/apache/http/HttpHeaders.html#HttpHeaders"/>
<area shape="poly" coords="210,125,207,128,205,125,207,123,210,125,210,125" title="Cmp: 13; Cov: 76%; DefaultedHttpParams" alt="" href="org/apache/http/params/DefaultedHttpParams.html#DefaultedHttpParams"/>
<area shape="poly" coords="156,119,153,121,151,119,153,116,156,119,156,119" title="Cmp: 16; Cov: 50%; BasicHttpParams" alt="" href="org/apache/http/params/BasicHttpParams.html#BasicHttpParams"/>
<area shape="poly" coords="81,117,79,119,76,117,79,114,81,117,81,117" title="Cmp: 17; Cov: 14%; AbstractHttpParams" alt="" href="org/apache/http/params/AbstractHttpParams.html#AbstractHttpParams"/>
<area shape="poly" coords="52,72,50,75,47,72,50,70,52,72,52,72" title="Cmp: 38; Cov: 0%; SocketHttpServerConnection" alt="" href="org/apache/http/impl/SocketHttpServerConnection.html#SocketHttpServerConnection"/>
<area shape="poly" coords="52,72,50,75,47,72,50,70,52,72,52,72" title="Cmp: 38; Cov: 0%; SocketHttpServerConnection" alt="" href="org/apache/http/impl/SocketHttpServerConnection.html#SocketHttpServerConnection"/>
<area shape="poly" coords="260,148,257,151,255,148,257,146,260,148,260,148" title="Cmp: 2; Cov: 100%; UnsupportedHttpVersionException" alt="" href="org/apache/http/UnsupportedHttpVersionException.html#UnsupportedHttpVersionException"/>
<area shape="poly" coords="83,104,81,106,78,104,81,101,83,104,83,104" title="Cmp: 23; Cov: 15%; HttpConnectionMetricsImpl" alt="" href="org/apache/http/impl/HttpConnectionMetricsImpl.html#HttpConnectionMetricsImpl"/>
<area shape="poly" coords="260,142,257,144,255,142,257,139,260,142,260,142" title="Cmp: 5; Cov: 100%; EnglishReasonPhraseCatalog" alt="" href="org/apache/http/impl/EnglishReasonPhraseCatalog.html#EnglishReasonPhraseCatalog"/>
<area shape="poly" coords="52,144,50,147,47,144,50,142,52,144,52,144" title="Cmp: 4; Cov: 0%; DefaultHttpServerConnection" alt="" href="org/apache/http/impl/DefaultHttpServerConnection.html#DefaultHttpServerConnection"/>
<area shape="poly" coords="260,142,257,144,255,142,257,139,260,142,260,142" title="Cmp: 5; Cov: 100%; EnglishReasonPhraseCatalog" alt="" href="org/apache/http/impl/EnglishReasonPhraseCatalog.html#EnglishReasonPhraseCatalog"/>
<area shape="poly" coords="152,129,149,132,147,129,149,127,152,129,152,129" title="Cmp: 11; Cov: 48%; DefaultHttpRequestFactory" alt="" href="org/apache/http/impl/DefaultHttpRequestFactory.html#DefaultHttpRequestFactory"/>
<area shape="poly" coords="52,146,50,149,47,146,50,144,52,146,52,146" title="Cmp: 3; Cov: 0%; NetUtils" alt="" href="org/apache/http/util/NetUtils.html#NetUtils"/>
<area shape="poly" coords="251,117,249,119,246,117,249,114,251,117,251,117" title="Cmp: 17; Cov: 96%; DefaultConnectionReuseStrategy" alt="" href="org/apache/http/impl/DefaultConnectionReuseStrategy.html#DefaultConnectionReuseStrategy"/>
<area shape="poly" coords="222,119,220,121,217,119,220,116,222,119,222,119" title="Cmp: 16; Cov: 82%; DefaultBHttpServerConnection" alt="" href="org/apache/http/impl/DefaultBHttpServerConnection.html#DefaultBHttpServerConnection"/>
<area shape="poly" coords="233,117,230,119,228,117,230,114,233,117,233,117" title="Cmp: 17; Cov: 87%; DefaultBHttpClientConnection" alt="" href="org/apache/http/impl/DefaultBHttpClientConnection.html#DefaultBHttpClientConnection"/>
<area shape="poly" coords="187,23,185,26,182,23,185,21,187,23,187,23" title="Cmp: 61; Cov: 65%; BHttpConnectionBase" alt="" href="org/apache/http/impl/BHttpConnectionBase.html#BHttpConnectionBase"/>
<area shape="poly" coords="52,104,50,106,47,104,50,101,52,104,52,104" title="Cmp: 23; Cov: 0%; AbstractHttpServerConnection" alt="" href="org/apache/http/impl/AbstractHttpServerConnection.html#AbstractHttpServerConnection"/>
<area shape="poly" coords="52,97,50,100,47,97,50,95,52,97,52,97" title="Cmp: 26; Cov: 0%; AbstractHttpClientConnection" alt="" href="org/apache/http/impl/AbstractHttpClientConnection.html#AbstractHttpClientConnection"/>
<area shape="poly" coords="260,91,257,94,255,91,257,89,260,91,260,91" title="Cmp: 29; Cov: 100%; RouteSpecificPool" alt="" href="org/apache/http/pool/RouteSpecificPool.html#RouteSpecificPool"/>
<area shape="poly" coords="162,140,160,142,157,140,160,137,162,140,162,140" title="Cmp: 6; Cov: 53%; PoolStats" alt="" href="org/apache/http/pool/PoolStats.html#PoolStats"/>
<area shape="poly" coords="227,114,224,117,222,114,224,112,227,114,227,114" title="Cmp: 18; Cov: 84%; PoolEntryFuture" alt="" href="org/apache/http/pool/PoolEntryFuture.html#PoolEntryFuture"/>
<area shape="poly" coords="251,119,249,121,246,119,249,116,251,119,251,119" title="Cmp: 16; Cov: 96%; PoolEntry" alt="" href="org/apache/http/pool/PoolEntry.html#PoolEntry"/>
<area shape="poly" coords="243,38,241,41,238,38,241,36,243,38,243,38" title="Cmp: 54; Cov: 92%; AbstractConnPool" alt="" href="org/apache/http/pool/AbstractConnPool.html#AbstractConnPool"/>
<area shape="poly" coords="52,146,50,149,47,146,50,144,52,146,52,146" title="Cmp: 3; Cov: 0%; NetUtils" alt="" href="org/apache/http/util/NetUtils.html#NetUtils"/>
<area shape="poly" coords="52,136,50,138,47,136,50,133,52,136,52,136" title="Cmp: 8; Cov: 0%; SocketInputBuffer" alt="" href="org/apache/http/impl/io/SocketInputBuffer.html#SocketInputBuffer"/>
<area shape="poly" coords="256,66,253,68,251,66,253,63,256,66,256,66" title="Cmp: 41; Cov: 98%; SessionOutputBufferImpl" alt="" href="org/apache/http/impl/io/SessionOutputBufferImpl.html#SessionOutputBufferImpl"/>
<area shape="poly" coords="251,25,249,28,246,25,249,23,251,25,251,25" title="Cmp: 60; Cov: 96%; SessionInputBufferImpl" alt="" href="org/apache/http/impl/io/SessionInputBufferImpl.html#SessionInputBufferImpl"/>
<area shape="poly" coords="260,133,257,136,255,133,257,131,260,133,260,133" title="Cmp: 9; Cov: 100%; IdentityOutputStream" alt="" href="org/apache/http/impl/io/IdentityOutputStream.html#IdentityOutputStream"/>
<area shape="poly" coords="241,136,239,138,236,136,239,133,241,136,241,136" title="Cmp: 8; Cov: 91%; IdentityInputStream" alt="" href="org/apache/http/impl/io/IdentityInputStream.html#IdentityInputStream"/>
<area shape="poly" coords="177,142,174,144,172,142,174,139,177,142,177,142" title="Cmp: 5; Cov: 60%; HttpTransportMetricsImpl" alt="" href="org/apache/http/impl/io/HttpTransportMetricsImpl.html#HttpTransportMetricsImpl"/>
<area shape="poly" coords="52,148,50,151,47,148,50,146,52,148,52,148" title="Cmp: 2; Cov: 0%; HttpResponseWriter" alt="" href="org/apache/http/impl/io/HttpResponseWriter.html#HttpResponseWriter"/>
<area shape="poly" coords="52,146,50,149,47,146,50,144,52,146,52,146" title="Cmp: 3; Cov: 0%; NetUtils" alt="" href="org/apache/http/util/NetUtils.html#NetUtils"/>
<area shape="poly" coords="52,148,50,151,47,148,50,146,52,148,52,148" title="Cmp: 2; Cov: 0%; HttpResponseWriter" alt="" href="org/apache/http/impl/io/HttpResponseWriter.html#HttpResponseWriter"/>
<area shape="poly" coords="52,146,50,149,47,146,50,144,52,146,52,146" title="Cmp: 3; Cov: 0%; NetUtils" alt="" href="org/apache/http/util/NetUtils.html#NetUtils"/>
<area shape="poly" coords="235,144,232,147,230,144,232,142,235,144,235,144" title="Cmp: 4; Cov: 88%; DefaultHttpResponseWriterFactory" alt="" href="org/apache/http/impl/io/DefaultHttpResponseWriterFactory.html#DefaultHttpResponseWriterFactory"/>
<area shape="poly" coords="200,146,197,149,195,146,197,144,200,146,200,146" title="Cmp: 3; Cov: 71%; DefaultHttpResponseWriter" alt="" href="org/apache/http/impl/io/DefaultHttpResponseWriter.html#DefaultHttpResponseWriter"/>
<area shape="poly" coords="224,142,222,144,219,142,222,139,224,142,224,142" title="Cmp: 5; Cov: 83%; DefaultHttpResponseParserFactory" alt="" href="org/apache/http/impl/io/DefaultHttpResponseParserFactory.html#DefaultHttpResponseParserFactory"/>
<area shape="poly" coords="208,138,205,140,203,138,205,135,208,138,208,138" title="Cmp: 7; Cov: 75%; DefaultHttpResponseParser" alt="" href="org/apache/http/impl/io/DefaultHttpResponseParser.html#DefaultHttpResponseParser"/>
<area shape="poly" coords="235,144,232,147,230,144,232,142,235,144,235,144" title="Cmp: 4; Cov: 88%; DefaultHttpResponseWriterFactory" alt="" href="org/apache/http/impl/io/DefaultHttpResponseWriterFactory.html#DefaultHttpResponseWriterFactory"/>
<area shape="poly" coords="200,146,197,149,195,146,197,144,200,146,200,146" title="Cmp: 3; Cov: 71%; DefaultHttpResponseWriter" alt="" href="org/apache/http/impl/io/DefaultHttpResponseWriter.html#DefaultHttpResponseWriter"/>
<area shape="poly" coords="224,142,222,144,219,142,222,139,224,142,224,142" title="Cmp: 5; Cov: 83%; DefaultHttpResponseParserFactory" alt="" href="org/apache/http/impl/io/DefaultHttpResponseParserFactory.html#DefaultHttpResponseParserFactory"/>
<area shape="poly" coords="208,138,205,140,203,138,205,135,208,138,208,138" title="Cmp: 7; Cov: 75%; DefaultHttpResponseParser" alt="" href="org/apache/http/impl/io/DefaultHttpResponseParser.html#DefaultHttpResponseParser"/>
<area shape="poly" coords="260,127,257,130,255,127,257,125,260,127,260,127" title="Cmp: 12; Cov: 100%; BufferedHttpEntity" alt="" href="org/apache/http/entity/BufferedHttpEntity.html#BufferedHttpEntity"/>
<area shape="poly" coords="245,102,243,104,240,102,243,99,245,102,245,102" title="Cmp: 24; Cov: 93%; ContentLengthInputStream" alt="" href="org/apache/http/impl/io/ContentLengthInputStream.html#ContentLengthInputStream"/>
<area shape="poly" coords="251,112,249,115,246,112,249,110,251,112,251,112" title="Cmp: 19; Cov: 96%; ChunkedOutputStream" alt="" href="org/apache/http/impl/io/ChunkedOutputStream.html#ChunkedOutputStream"/>
<area shape="poly" coords="247,76,245,79,242,76,245,74,247,76,247,76" title="Cmp: 36; Cov: 94%; ChunkedInputStream" alt="" href="org/apache/http/impl/io/ChunkedInputStream.html#ChunkedInputStream"/>
<area shape="poly" coords="52,55,50,58,47,55,50,53,52,55,52,55" title="Cmp: 46; Cov: 0%; AbstractSessionOutputBuffer" alt="" href="org/apache/http/impl/io/AbstractSessionOutputBuffer.html#AbstractSessionOutputBuffer"/>
<area shape="poly" coords="52,25,50,28,47,25,50,23,52,25,52,25" title="Cmp: 60; Cov: 0%; AbstractSessionInputBuffer" alt="" href="org/apache/http/impl/io/AbstractSessionInputBuffer.html#AbstractSessionInputBuffer"/>
<area shape="poly" coords="185,140,182,142,180,140,182,137,185,140,185,140" title="Cmp: 6; Cov: 64%; AbstractMessageWriter" alt="" href="org/apache/http/impl/io/AbstractMessageWriter.html#AbstractMessageWriter"/>
<area shape="poly" coords="227,95,224,98,222,95,224,93,227,95,227,95" title="Cmp: 27; Cov: 84%; AbstractMessageParser" alt="" href="org/apache/http/impl/io/AbstractMessageParser.html#AbstractMessageParser"/>
<area shape="poly" coords="197,117,195,119,192,117,195,114,197,117,197,117" title="Cmp: 17; Cov: 70%; UriPatternMatcher" alt="" href="org/apache/http/protocol/UriPatternMatcher.html#UriPatternMatcher"/>
<area shape="poly" coords="243,136,241,138,238,136,241,133,243,136,243,136" title="Cmp: 8; Cov: 92%; UriHttpRequestHandlerMapper" alt="" href="org/apache/http/protocol/UriHttpRequestHandlerMapper.html#UriHttpRequestHandlerMapper"/>
<area shape="poly" coords="52,140,50,142,47,140,50,137,52,140,52,140" title="Cmp: 6; Cov: 0%; ExceptionUtils" alt="" href="org/apache/http/util/ExceptionUtils.html#ExceptionUtils"/>
<area shape="poly" coords="260,142,257,144,255,142,257,139,260,142,260,142" title="Cmp: 5; Cov: 100%; EnglishReasonPhraseCatalog" alt="" href="org/apache/http/impl/EnglishReasonPhraseCatalog.html#EnglishReasonPhraseCatalog"/>
<area shape="poly" coords="260,144,257,147,255,144,257,142,260,144,260,144" title="Cmp: 4; Cov: 100%; ResponseDate" alt="" href="org/apache/http/protocol/ResponseDate.html#ResponseDate"/>
<area shape="poly" coords="260,117,257,119,255,117,257,114,260,117,260,117" title="Cmp: 17; Cov: 100%; ResponseContent" alt="" href="org/apache/http/protocol/ResponseContent.html#ResponseContent"/>
<area shape="poly" coords="260,114,257,117,255,114,257,112,260,114,260,114" title="Cmp: 18; Cov: 100%; ResponseConnControl" alt="" href="org/apache/http/protocol/ResponseConnControl.html#ResponseConnControl"/>
<area shape="poly" coords="241,138,239,140,236,138,239,135,241,138,241,138" title="Cmp: 7; Cov: 91%; RequestUserAgent" alt="" href="org/apache/http/protocol/RequestUserAgent.html#RequestUserAgent"/>
<area shape="poly" coords="260,131,257,134,255,131,257,129,260,131,260,131" title="Cmp: 10; Cov: 100%; RequestTargetHost" alt="" href="org/apache/http/protocol/RequestTargetHost.html#RequestTargetHost"/>
<area shape="poly" coords="239,133,236,136,234,133,236,131,239,133,239,133" title="Cmp: 9; Cov: 90%; RequestExpectContinue" alt="" href="org/apache/http/protocol/RequestExpectContinue.html#RequestExpectContinue"/>
<area shape="poly" coords="260,144,257,147,255,144,257,142,260,144,260,144" title="Cmp: 4; Cov: 100%; ResponseDate" alt="" href="org/apache/http/protocol/ResponseDate.html#ResponseDate"/>
<area shape="poly" coords="260,121,257,123,255,121,257,118,260,121,260,121" title="Cmp: 15; Cov: 100%; RequestContent" alt="" href="org/apache/http/protocol/RequestContent.html#RequestContent"/>
<area shape="poly" coords="260,144,257,147,255,144,257,142,260,144,260,144" title="Cmp: 4; Cov: 100%; ResponseDate" alt="" href="org/apache/http/protocol/ResponseDate.html#ResponseDate"/>
<area shape="poly" coords="137,121,135,123,132,121,135,118,137,121,137,121" title="Cmp: 15; Cov: 41%; ImmutableHttpProcessor" alt="" href="org/apache/http/protocol/ImmutableHttpProcessor.html#ImmutableHttpProcessor"/>
<area shape="poly" coords="52,148,50,151,47,148,50,146,52,148,52,148" title="Cmp: 2; Cov: 0%; HttpResponseWriter" alt="" href="org/apache/http/impl/io/HttpResponseWriter.html#HttpResponseWriter"/>
<area shape="poly" coords="206,83,203,85,201,83,203,80,206,83,206,83" title="Cmp: 33; Cov: 74%; HttpService" alt="" href="org/apache/http/protocol/HttpService.html#HttpService"/>
<area shape="poly" coords="52,140,50,142,47,140,50,137,52,140,52,140" title="Cmp: 6; Cov: 0%; ExceptionUtils" alt="" href="org/apache/http/util/ExceptionUtils.html#ExceptionUtils"/>
<area shape="poly" coords="260,97,257,100,255,97,257,95,260,97,260,97" title="Cmp: 26; Cov: 100%; HttpRequestExecutor" alt="" href="org/apache/http/protocol/HttpRequestExecutor.html#HttpRequestExecutor"/>
<area shape="poly" coords="52,91,50,94,47,91,50,89,52,91,52,91" title="Cmp: 29; Cov: 0%; HttpProcessorBuilder" alt="" href="org/apache/http/protocol/HttpProcessorBuilder.html#HttpProcessorBuilder"/>
<area shape="poly" coords="260,146,257,149,255,146,257,144,260,146,260,146" title="Cmp: 3; Cov: 100%; ProtocolException" alt="" href="org/apache/http/ProtocolException.html#ProtocolException"/>
<area shape="poly" coords="200,114,197,117,195,114,197,112,200,114,200,114" title="Cmp: 18; Cov: 71%; HttpCoreContext" alt="" href="org/apache/http/protocol/HttpCoreContext.html#HttpCoreContext"/>
<area shape="poly" coords="189,148,187,151,184,148,187,146,189,148,189,148" title="Cmp: 2; Cov: 66%; HTTP" alt="" href="org/apache/http/protocol/HTTP.html#HTTP"/>
<area shape="poly" coords="52,138,50,140,47,138,50,135,52,138,52,138" title="Cmp: 7; Cov: 0%; HttpConnectionParamBean" alt="" href="org/apache/http/params/HttpConnectionParamBean.html#HttpConnectionParamBean"/>
<area shape="poly" coords="218,119,216,121,213,119,216,116,218,119,218,119" title="Cmp: 16; Cov: 80%; ChainBuilder" alt="" href="org/apache/http/protocol/ChainBuilder.html#ChainBuilder"/>
<area shape="poly" coords="100,68,97,70,95,68,97,65,100,68,100,68" title="Cmp: 40; Cov: 23%; BasicHttpProcessor" alt="" href="org/apache/http/protocol/BasicHttpProcessor.html#BasicHttpProcessor"/>
<area shape="poly" coords="204,123,201,125,199,123,201,120,204,123,204,123" title="Cmp: 14; Cov: 73%; BasicHttpContext" alt="" href="org/apache/http/protocol/BasicHttpContext.html#BasicHttpContext"/>
<area shape="poly" coords="158,129,155,132,153,129,155,127,158,129,158,129" title="Cmp: 11; Cov: 51%; ParserCursor" alt="" href="org/apache/http/message/ParserCursor.html#ParserCursor"/>
<area shape="poly" coords="247,81,245,83,242,81,245,78,247,81,247,81" title="Cmp: 34; Cov: 94%; HeaderGroup" alt="" href="org/apache/http/message/HeaderGroup.html#HeaderGroup"/>
<area shape="poly" coords="260,131,257,134,255,131,257,129,260,131,260,131" title="Cmp: 10; Cov: 100%; RequestTargetHost" alt="" href="org/apache/http/protocol/RequestTargetHost.html#RequestTargetHost"/>
<area shape="poly" coords="260,72,257,75,255,72,257,70,260,72,260,72" title="Cmp: 38; Cov: 100%; BasicTokenIterator" alt="" href="org/apache/http/message/BasicTokenIterator.html#BasicTokenIterator"/>
<area shape="poly" coords="260,140,257,142,255,140,257,137,260,140,260,140" title="Cmp: 6; Cov: 100%; TextUtils" alt="" href="org/apache/http/util/TextUtils.html#TextUtils"/>
<area shape="poly" coords="260,140,257,142,255,140,257,137,260,140,260,140" title="Cmp: 6; Cov: 100%; TextUtils" alt="" href="org/apache/http/util/TextUtils.html#TextUtils"/>
<area shape="poly" coords="260,131,257,134,255,131,257,129,260,131,260,131" title="Cmp: 10; Cov: 100%; RequestTargetHost" alt="" href="org/apache/http/protocol/RequestTargetHost.html#RequestTargetHost"/>
<area shape="poly" coords="233,123,230,125,228,123,230,120,233,123,233,123" title="Cmp: 14; Cov: 87%; BasicListHeaderIterator" alt="" href="org/apache/http/message/BasicListHeaderIterator.html#BasicListHeaderIterator"/>
<area shape="poly" coords="210,47,207,49,205,47,207,44,210,47,210,47" title="Cmp: 50; Cov: 76%; BasicLineParser" alt="" href="org/apache/http/message/BasicLineParser.html#BasicLineParser"/>
<area shape="poly" coords="256,100,253,102,251,100,253,97,256,100,256,100" title="Cmp: 25; Cov: 98%; BasicLineFormatter" alt="" href="org/apache/http/message/BasicLineFormatter.html#BasicLineFormatter"/>
<area shape="poly" coords="224,108,222,111,219,108,222,106,224,108,224,108" title="Cmp: 21; Cov: 83%; BasicHttpResponse" alt="" href="org/apache/http/message/BasicHttpResponse.html#BasicHttpResponse"/>
<area shape="poly" coords="239,138,236,140,234,138,236,135,239,138,239,138" title="Cmp: 7; Cov: 90%; BasicHttpRequest" alt="" href="org/apache/http/message/BasicHttpRequest.html#BasicHttpRequest"/>
<area shape="poly" coords="260,140,257,142,255,140,257,137,260,140,260,140" title="Cmp: 6; Cov: 100%; TextUtils" alt="" href="org/apache/http/util/TextUtils.html#TextUtils"/>
<area shape="poly" coords="254,49,251,51,249,49,251,46,254,49,254,49" title="Cmp: 49; Cov: 97%; BasicHeaderValueParser" alt="" href="org/apache/http/message/BasicHeaderValueParser.html#BasicHeaderValueParser"/>
<area shape="poly" coords="243,49,241,51,238,49,241,46,243,49,243,49" title="Cmp: 49; Cov: 92%; BasicHeaderValueFormatter" alt="" href="org/apache/http/message/BasicHeaderValueFormatter.html#BasicHeaderValueFormatter"/>
<area shape="poly" coords="260,127,257,130,255,127,257,125,260,127,260,127" title="Cmp: 12; Cov: 100%; BufferedHttpEntity" alt="" href="org/apache/http/entity/BufferedHttpEntity.html#BufferedHttpEntity"/>
<area shape="poly" coords="233,104,230,106,228,104,230,101,233,104,233,104" title="Cmp: 23; Cov: 87%; BasicHeaderElementIterator" alt="" href="org/apache/http/message/BasicHeaderElementIterator.html#BasicHeaderElementIterator"/>
<area shape="poly" coords="260,117,257,119,255,117,257,114,260,117,260,117" title="Cmp: 17; Cov: 100%; ResponseContent" alt="" href="org/apache/http/protocol/ResponseContent.html#ResponseContent"/>
<area shape="poly" coords="260,138,257,140,255,138,257,135,260,138,260,138" title="Cmp: 7; Cov: 100%; BasicHeader" alt="" href="org/apache/http/message/BasicHeader.html#BasicHeader"/>
<area shape="poly" coords="251,106,249,108,246,106,249,103,251,106,251,106" title="Cmp: 22; Cov: 96%; AbstractHttpMessage" alt="" href="org/apache/http/message/AbstractHttpMessage.html#AbstractHttpMessage"/>
<area shape="poly" coords="260,131,257,134,255,131,257,129,260,131,260,131" title="Cmp: 10; Cov: 100%; RequestTargetHost" alt="" href="org/apache/http/protocol/RequestTargetHost.html#RequestTargetHost"/>
<area shape="poly" coords="254,127,251,130,249,127,251,125,254,127,254,127" title="Cmp: 12; Cov: 97%; LaxContentLengthStrategy" alt="" href="org/apache/http/impl/entity/LaxContentLengthStrategy.html#LaxContentLengthStrategy"/>
<area shape="poly" coords="260,142,257,144,255,142,257,139,260,142,260,142" title="Cmp: 5; Cov: 100%; EnglishReasonPhraseCatalog" alt="" href="org/apache/http/impl/EnglishReasonPhraseCatalog.html#EnglishReasonPhraseCatalog"/>
<area shape="poly" coords="260,138,257,140,255,138,257,135,260,138,260,138" title="Cmp: 7; Cov: 100%; BasicHeader" alt="" href="org/apache/http/message/BasicHeader.html#BasicHeader"/>
<area shape="poly" coords="260,146,257,149,255,146,257,144,260,146,260,146" title="Cmp: 3; Cov: 100%; ProtocolException" alt="" href="org/apache/http/ProtocolException.html#ProtocolException"/>
</map></div>
                </div>
            <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
        </div>
            
                <div class="tags roundedLarge" style="padding: 5px;">
            <b class="ctop $cnrclass"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
        <div class="roundedContent" style="padding: 5px;">
            <label class="titleText link" onkeyup="return help_dash_packages;" onclick="self.location='pkg-summary.html'">Most Complex Packages</label>
        
        <table>
                    
                        <tr><td>1. </td><td>91.4%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.91395664</span>
<div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="8.6% Not Covered"  style="min-width: 40px;"  class="barNegative ">
       <div title="91.4% Covered" class="barPositive " style="width: 91.4%"></div>
    </div>
</div></td><td><a class="tag" href="org/apache/http/message/pkg-summary.html">org.apache.http.message</a> (417)</td></tr>
                    
                        <tr><td>2. </td><td>61.3%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.6131824</span>
<div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="38.7% Not Covered"  style="min-width: 40px;"  class="barNegative ">
       <div title="61.3% Covered" class="barPositive " style="width: 61.3%"></div>
    </div>
</div></td><td><a class="tag" href="org/apache/http/impl/io/pkg-summary.html">org.apache.http.impl.io</a> (412)</td></tr>
                    
                        <tr><td>3. </td><td>66.2%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.66186357</span>
<div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="33.8% Not Covered"  style="min-width: 40px;"  class="barNegative ">
       <div title="66.2% Covered" class="barPositive " style="width: 66.2%"></div>
    </div>
</div></td><td><a class="tag" href="org/apache/http/protocol/pkg-summary.html">org.apache.http.protocol</a> (335)</td></tr>
                    
                        <tr><td>4. </td><td>40.6%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.40612245</span>
<div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="59.4% Not Covered"  style="min-width: 40px;"  class="barNegative ">
       <div title="40.6% Covered" class="barPositive " style="width: 40.6%"></div>
    </div>
</div></td><td><a class="tag" href="org/apache/http/impl/pkg-summary.html">org.apache.http.impl</a> (289)</td></tr>
                    
                        <tr><td>5. </td><td>72.2%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.7222222</span>
<div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="27.8% Not Covered"  style="min-width: 40px;"  class="barNegative ">
       <div title="72.2% Covered" class="barPositive " style="width: 72.2%"></div>
    </div>
</div></td><td><a class="tag" href="org/apache/http/util/pkg-summary.html">org.apache.http.util</a> (250)</td></tr>
                </table>
                </div>
            <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
        </div>
                    <div class="tags roundedLarge" style="padding: 5px;">
            <b class="ctop $cnrclass"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
        <div class="roundedContent" style="padding: 5px;">
            <label class="titleText link" onkeyup="return help_dash_classes;" onclick="self.location='pkg-summary.html'">Most Complex Classes</label>
        <table>
                    
                        <tr><td>1. </td><td>97.8%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9776536</span>
<div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="2.2% Not Covered"  style="min-width: 40px;"  class="barNegative ">
       <div title="97.8% Covered" class="barPositive " style="width: 97.8%"></div>
    </div>
</div></td><td>
                    <a  class="tag" href="org/apache/http/util/CharArrayBuffer.html#CharArrayBuffer"  title="org.apache.http.util.CharArrayBuffer">CharArrayBuffer</a>
                (65)
            </td></tr>
                    
                        <tr><td>2. </td><td>65.5%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.655</span>
<div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="34.5% Not Covered"  style="min-width: 40px;"  class="barNegative ">
       <div title="65.5% Covered" class="barPositive " style="width: 65.5%"></div>
    </div>
</div></td><td>
                    <a  class="tag" href="org/apache/http/impl/BHttpConnectionBase.html#BHttpConnectionBase"  title="org.apache.http.impl.BHttpConnectionBase">BHttpConnectionBase</a>
                (61)
            </td></tr>
                    
                        <tr><td>3. </td><td>96.6%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9661017</span>
<div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="3.4% Not Covered"  style="min-width: 40px;"  class="barNegative ">
       <div title="96.6% Covered" class="barPositive " style="width: 96.6%"></div>
    </div>
</div></td><td>
                    <a  class="tag" href="org/apache/http/impl/io/SessionInputBufferImpl.html#SessionInputBufferImpl"  title="org.apache.http.impl.io.SessionInputBufferImpl">SessionInputBufferImpl</a>
                (60)
            </td></tr>
                    
                        <tr><td>4. </td><td>0%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.0</span>
<div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 40px;"  class="barNegative ">
       <div title="0% Covered" class="barPositive " style="width: 0%"></div>
    </div>
</div></td><td>
                    <a  class="tag" href="org/apache/http/impl/io/AbstractSessionInputBuffer.html#AbstractSessionInputBuffer"  title="org.apache.http.impl.io.AbstractSessionInputBuffer">AbstractSessionInputBuffer</a>
                (60)
            </td></tr>
                    
                        <tr><td>5. </td><td>92.3%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9227941</span>
<div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="7.7% Not Covered"  style="min-width: 40px;"  class="barNegative ">
       <div title="92.3% Covered" class="barPositive " style="width: 92.3%"></div>
    </div>
</div></td><td>
                    <a  class="tag" href="org/apache/http/pool/AbstractConnPool.html#AbstractConnPool"  title="org.apache.http.pool.AbstractConnPool">AbstractConnPool</a>
                (54)
            </td></tr>
                </table>

                </div>
            <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
        </div>
    
    </div>
    <div class="right-twothirds">

                <div class="tags roundedLarge" style="padding: 5px;">
            <b class="ctop $cnrclass"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
        <div class="roundedContent" style="padding: 5px;">
                            <label class="titleText link" onkeyup="return help_dash_test_results;" onclick="self.location='test-pkg-summary.html'">Test Results</label>
                <span> <span class="">592 / 592</span> tests 9.99 secs</span>
            <table>
                                <tr>
                    <td>100%</td>
                    <td style="width:200px">
                                                

<div>
    <div style="width: 40px; font-size:0px;"></div>

    <div title="0% Errors" style="min-width: 40px;" class="testBarError">
        <div title="0% of Tests Failed" class="testBarFail" style="width: 100%">
            <div title="100% of Tests Passed" class="testBarPass" style="width: 100%"></div>
        </div>
    </div>
</div>                    </td>
                </tr>
                            </table>
                </div>
            <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
        </div>
    
                <div class="tags roundedLarge" style="padding: 5px;">
            <b class="ctop $cnrclass"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
        <div class="roundedContent" style="padding: 5px;">
                <label class="titleText link" onkeyup="return help_dash_risks;" onclick="self.location='proj-risks.html'">Top 20 Project Risks</label>
            <div>
            
                                           <a class="tag" href="org/apache/http/impl/io/AbstractSessionInputBuffer.html#AbstractSessionInputBuffer"
               style="font-size: 18px;color:#e4051a"
               title="Average Method Complexity - 3.158 , Coverage - 0% ">AbstractSessionInputBuffer</a>
                          
                                           <a class="tag" href="org/apache/http/util/VersionInfo.html#VersionInfo"
               style="font-size: 18px;color:#e4051a"
               title="Average Method Complexity - 3.091 , Coverage - 0% ">VersionInfo</a>
                          
                                           <a class="tag" href="org/apache/http/util/CharsetUtils.html#CharsetUtils"
               style="font-size: 17px;color:#e4051a"
               title="Average Method Complexity - 3 , Coverage - 0% ">CharsetUtils</a>
                          
                                           <a class="tag" href="org/apache/http/impl/io/SocketOutputBuffer.html#SocketOutputBuffer"
               style="font-size: 17px;color:#e4051a"
               title="Average Method Complexity - 3 , Coverage - 0% ">SocketOutputBuffer</a>
                          
                                           <a class="tag" href="org/apache/http/util/NetUtils.html#NetUtils"
               style="font-size: 17px;color:#e4051a"
               title="Average Method Complexity - 3 , Coverage - 0% ">NetUtils</a>
                          
                                           <a class="tag" href="org/apache/http/impl/io/AbstractSessionOutputBuffer.html#AbstractSessionOutputBuffer"
               style="font-size: 17px;color:#e4051a"
               title="Average Method Complexity - 2.706 , Coverage - 0% ">AbstractSessionOutputBuffer</a>
                          
                                           <a class="tag" href="org/apache/http/impl/SocketHttpServerConnection.html#SocketHttpServerConnection"
               style="font-size: 15px;color:#e4051a"
               title="Average Method Complexity - 2.111 , Coverage - 0% ">SocketHttpServerConnection</a>
                          
                                           <a class="tag" href="org/apache/http/impl/SocketHttpClientConnection.html#SocketHttpClientConnection"
               style="font-size: 15px;color:#e4051a"
               title="Average Method Complexity - 2.111 , Coverage - 0% ">SocketHttpClientConnection</a>
                          
                                           <a class="tag" href="org/apache/http/impl/io/SocketInputBuffer.html#SocketInputBuffer"
               style="font-size: 14px;color:#e4051a"
               title="Average Method Complexity - 2 , Coverage - 0% ">SocketInputBuffer</a>
                          
                                           <a class="tag" href="org/apache/http/impl/DefaultHttpServerConnection.html#DefaultHttpServerConnection"
               style="font-size: 14px;color:#e4051a"
               title="Average Method Complexity - 2 , Coverage - 0% ">DefaultHttpServerConnection</a>
                          
                                           <a class="tag" href="org/apache/http/util/ExceptionUtils.html#ExceptionUtils"
               style="font-size: 14px;color:#e4051a"
               title="Average Method Complexity - 2 , Coverage - 0% ">ExceptionUtils</a>
                          
                                           <a class="tag" href="org/apache/http/impl/HttpConnectionMetricsImpl.html#HttpConnectionMetricsImpl"
               style="font-size: 15px;color:#b2054c"
               title="Average Method Complexity - 2.3 , Coverage - 15.8% ">HttpConnectionMetricsImpl</a>
                          
                                           <a class="tag" href="org/apache/http/impl/DefaultHttpRequestFactory.html#DefaultHttpRequestFactory"
               style="font-size: 17px;color:#660598"
               title="Average Method Complexity - 2.75 , Coverage - 48.7% ">DefaultHttpRequestFactory</a>
                          
                                           <a class="tag" href="org/apache/http/protocol/HttpProcessorBuilder.html#HttpProcessorBuilder"
               style="font-size: 14px;color:#e4051a"
               title="Average Method Complexity - 1.706 , Coverage - 0% ">HttpProcessorBuilder</a>
                          
                                           <a class="tag" href="org/apache/http/util/EntityUtils.html#EntityUtils"
               style="font-size: 17px;color:#4d05b1"
               title="Average Method Complexity - 2.8 , Coverage - 62.8% ">EntityUtils</a>
                          
                                           <a class="tag" href="org/apache/http/protocol/ImmutableHttpProcessor.html#ImmutableHttpProcessor"
               style="font-size: 15px;color:#80057e"
               title="Average Method Complexity - 2.143 , Coverage - 41.9% ">ImmutableHttpProcessor</a>
                          
                                           <a class="tag" href="org/apache/http/impl/DefaultHttpClientConnection.html#DefaultHttpClientConnection"
               style="font-size: 13px;color:#e4051a"
               title="Average Method Complexity - 1.5 , Coverage - 0% ">DefaultHttpClientConnection</a>
                          
                                           <a class="tag" href="org/apache/http/HttpVersion.html#HttpVersion"
               style="font-size: 22px;color:#1b05e3"
               title="Average Method Complexity - 4.5 , Coverage - 82.6% ">HttpVersion</a>
                          
                                           <a class="tag" href="org/apache/http/impl/io/HttpRequestParser.html#HttpRequestParser"
               style="font-size: 13px;color:#e4051a"
               title="Average Method Complexity - 1.5 , Coverage - 0% ">HttpRequestParser</a>
                          
                                           <a class="tag" href="org/apache/http/config/ConnectionConfig.html#ConnectionConfig.Builder"
               style="font-size: 14px;color:#b2054c"
               title="Average Method Complexity - 2 , Coverage - 20% ">ConnectionConfig.Builder</a>
                                      </div>
                </div>
            <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
        </div>
    
                <div class="tags roundedLarge" style="padding: 5px;">
            <b class="ctop $cnrclass"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
        <div class="roundedContent" style="padding: 5px;">
                <label class="titleText link" onkeyup="return help_dash_treemap;" onclick="self.location='treemap.html'">
                Coverage Tree Map
            </label>
            <p/>
            <div>
                <div id="infovis" style="width:600px; height:200px;">
                    <div id="treemap-loader" style="position:relative;top:50px;">
                        <p>
                            Generating Coverage Tree Map. Please wait...
                        </p>
                        <p>
                            <img src="img/ajax-loader.gif" alt="Loading Treemap"/>
                        </p>
                    </div>
                </div>
            </div>

                </div>
            <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
        </div>
    

                        <div class="tags roundedLarge" style="padding: 5px;">
            <b class="ctop $cnrclass"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
        <div class="roundedContent" style="padding: 5px;">
                <label class="titleText link" onkeyup="return help_dash_untested_methods;" onclick="self.location='test-pkg-summary.html'">Least Tested Methods</label>
            <table>
                
                <tr>
                    <td align="right">1.</td>
                    <td align="right">0%</td>
                    <td>                      <a class="tag" title="AbstractSessionInputBuffer.readLine(CharArrayBuffer)&nbsp;:&nbsp;int" href="org/apache/http/impl/io/AbstractSessionInputBuffer.html?line=249#src-249">AbstractSessionInputBuffer.readLine(CharArrayBuffer)&nbsp;:&nbsp;int</a> (10)
                    </td>
                </tr>
                
                <tr>
                    <td align="right">2.</td>
                    <td align="right">0%</td>
                    <td>                      <a class="tag" title="BasicLineParser.hasProtocolVersion(CharArrayBuffer,ParserCursor)&nbsp;:&nbsp;boolean" href="org/apache/http/message/BasicLineParser.html?line=209#src-209">BasicLineParser.hasProtocolVersion(CharArrayBuffer,ParserCursor)&nbsp;:&nbsp;boolean</a> (10)
                    </td>
                </tr>
                
                <tr>
                    <td align="right">3.</td>
                    <td align="right">0%</td>
                    <td>                      <a class="tag" title="HttpConnectionMetricsImpl.getMetric(String)&nbsp;:&nbsp;Object" href="org/apache/http/impl/HttpConnectionMetricsImpl.html?line=102#src-102">HttpConnectionMetricsImpl.getMetric(String)&nbsp;:&nbsp;Object</a> (9)
                    </td>
                </tr>
                
                <tr>
                    <td align="right">4.</td>
                    <td align="right">0%</td>
                    <td>                      <a class="tag" title="AbstractSessionInputBuffer.read(byte[],int,int)&nbsp;:&nbsp;int" href="org/apache/http/impl/io/AbstractSessionInputBuffer.html?line=185#src-185">AbstractSessionInputBuffer.read(byte[],int,int)&nbsp;:&nbsp;int</a> (7)
                    </td>
                </tr>
                
                <tr>
                    <td align="right">5.</td>
                    <td align="right">0%</td>
                    <td>                      <a class="tag" title="VersionInfo.fromMap(String,Map&lt;?,&nbsp;?&gt;,ClassLoader)&nbsp;:&nbsp;VersionInfo" href="org/apache/http/util/VersionInfo.html?line=262#src-262">VersionInfo.fromMap(String,Map&lt;?,&nbsp;?&gt;,ClassLoader)&nbsp;:&nbsp;VersionInfo</a> (11)
                    </td>
                </tr>
                
                <tr>
                    <td align="right">6.</td>
                    <td align="right">0%</td>
                    <td>                      <a class="tag" title="AbstractSessionOutputBuffer.writeLine(CharArrayBuffer)&nbsp;:&nbsp;void" href="org/apache/http/impl/io/AbstractSessionOutputBuffer.html?line=244#src-244">AbstractSessionOutputBuffer.writeLine(CharArrayBuffer)&nbsp;:&nbsp;void</a> (6)
                    </td>
                </tr>
                
                <tr>
                    <td align="right">7.</td>
                    <td align="right">0%</td>
                    <td>                      <a class="tag" title="AbstractSessionInputBuffer.appendDecoded(CharArrayBuffer,ByteBuffer)&nbsp;:&nbsp;int" href="org/apache/http/impl/io/AbstractSessionInputBuffer.html?line=346#src-346">AbstractSessionInputBuffer.appendDecoded(CharArrayBuffer,ByteBuffer)&nbsp;:&nbsp;int</a> (5)
                    </td>
                </tr>
                
                <tr>
                    <td align="right">8.</td>
                    <td align="right">0%</td>
                    <td>                      <a class="tag" title="AbstractSessionInputBuffer.init(InputStream,int,HttpParams)&nbsp;:&nbsp;void" href="org/apache/http/impl/io/AbstractSessionInputBuffer.html?line=95#src-95">AbstractSessionInputBuffer.init(InputStream,int,HttpParams)&nbsp;:&nbsp;void</a> (4)
                    </td>
                </tr>
                
                <tr>
                    <td align="right">9.</td>
                    <td align="right">0%</td>
                    <td>                      <a class="tag" title="AbstractSessionInputBuffer.lineFromLineBuffer(CharArrayBuffer)&nbsp;:&nbsp;int" href="org/apache/http/impl/io/AbstractSessionInputBuffer.html?line=302#src-302">AbstractSessionInputBuffer.lineFromLineBuffer(CharArrayBuffer)&nbsp;:&nbsp;int</a> (6)
                    </td>
                </tr>
                
                <tr>
                    <td align="right">10.</td>
                    <td align="right">0%</td>
                    <td>                      <a class="tag" title="AbstractSessionOutputBuffer.writeEncoded(CharBuffer)&nbsp;:&nbsp;void" href="org/apache/http/impl/io/AbstractSessionOutputBuffer.html?line=270#src-270">AbstractSessionOutputBuffer.writeEncoded(CharBuffer)&nbsp;:&nbsp;void</a> (5)
                    </td>
                </tr>
                
                <tr>
                    <td align="right">11.</td>
                    <td align="right">0%</td>
                    <td>                      <a class="tag" title="VersionInfo.loadVersionInfo(String,ClassLoader)&nbsp;:&nbsp;VersionInfo" href="org/apache/http/util/VersionInfo.html?line=219#src-219">VersionInfo.loadVersionInfo(String,ClassLoader)&nbsp;:&nbsp;VersionInfo</a> (5)
                    </td>
                </tr>
                
                <tr>
                    <td align="right">12.</td>
                    <td align="right">0%</td>
                    <td>                      <a class="tag" title="ImmutableHttpProcessor.ImmutableHttpProcessor(HttpRequestInterceptorList,HttpResponseInterceptorList)" href="org/apache/http/protocol/ImmutableHttpProcessor.html?line=94#src-94">ImmutableHttpProcessor.ImmutableHttpProcessor(HttpRequestInterceptorList,HttpResponseInterceptorList)</a> (5)
                    </td>
                </tr>
                
                <tr>
                    <td align="right">13.</td>
                    <td align="right">0%</td>
                    <td>                      <a class="tag" title="AbstractSessionInputBuffer.fillBuffer()&nbsp;:&nbsp;int" href="org/apache/http/impl/io/AbstractSessionInputBuffer.html?line=147#src-147">AbstractSessionInputBuffer.fillBuffer()&nbsp;:&nbsp;int</a> (4)
                    </td>
                </tr>
                
                <tr>
                    <td align="right">14.</td>
                    <td align="right">0%</td>
                    <td>                      <a class="tag" title="AbstractSessionOutputBuffer.init(OutputStream,int,HttpParams)&nbsp;:&nbsp;void" href="org/apache/http/impl/io/AbstractSessionOutputBuffer.html?line=108#src-108">AbstractSessionOutputBuffer.init(OutputStream,int,HttpParams)&nbsp;:&nbsp;void</a> (4)
                    </td>
                </tr>
                
                <tr>
                    <td align="right">15.</td>
                    <td align="right">0%</td>
                    <td>                      <a class="tag" title="AbstractSessionOutputBuffer.AbstractSessionOutputBuffer(OutputStream,int,Charset,int,CodingErrorAction,CodingErrorAction)" href="org/apache/http/impl/io/AbstractSessionOutputBuffer.html?line=82#src-82">AbstractSessionOutputBuffer.AbstractSessionOutputBuffer(OutputStream,int,Charset,int,CodingErrorAction,CodingErrorAction)</a> (5)
                    </td>
                </tr>
                
                <tr>
                    <td align="right">16.</td>
                    <td align="right">0%</td>
                    <td>                      <a class="tag" title="AbstractSessionOutputBuffer.writeLine(String)&nbsp;:&nbsp;void" href="org/apache/http/impl/io/AbstractSessionOutputBuffer.html?line=218#src-218">AbstractSessionOutputBuffer.writeLine(String)&nbsp;:&nbsp;void</a> (5)
                    </td>
                </tr>
                
                <tr>
                    <td align="right">17.</td>
                    <td align="right">0%</td>
                    <td>                      <a class="tag" title="AbstractSessionOutputBuffer.write(byte[],int,int)&nbsp;:&nbsp;void" href="org/apache/http/impl/io/AbstractSessionOutputBuffer.html?line=170#src-170">AbstractSessionOutputBuffer.write(byte[],int,int)&nbsp;:&nbsp;void</a> (5)
                    </td>
                </tr>
                
                <tr>
                    <td align="right">18.</td>
                    <td align="right">0%</td>
                    <td>                      <a class="tag" title="VersionInfo.toString()&nbsp;:&nbsp;String" href="org/apache/http/util/VersionInfo.html?line=157#src-157">VersionInfo.toString()&nbsp;:&nbsp;String</a> (4)
                    </td>
                </tr>
                
                <tr>
                    <td align="right">19.</td>
                    <td align="right">0%</td>
                    <td>                      <a class="tag" title="DefaultHttpServerConnection.bind(Socket,HttpParams)&nbsp;:&nbsp;void" href="org/apache/http/impl/DefaultHttpServerConnection.html?line=53#src-53">DefaultHttpServerConnection.bind(Socket,HttpParams)&nbsp;:&nbsp;void</a> (3)
                    </td>
                </tr>
                
                <tr>
                    <td align="right">20.</td>
                    <td align="right">0%</td>
                    <td>                      <a class="tag" title="SocketHttpServerConnection.close()&nbsp;:&nbsp;void" href="org/apache/http/impl/SocketHttpServerConnection.html?line=229#src-229">SocketHttpServerConnection.close()&nbsp;:&nbsp;void</a> (5)
                    </td>
                </tr>
                            </table>
                </div>
            <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
        </div>
            
    </div>

    </td>
</tr>

<tr><td class="hbreak" colspan="2">&nbsp;</td></tr>
<tr><td class="hbreak" colspan="2">&nbsp;</td></tr>
<tr><td class="footer" colspan="2">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Wed Nov 28 2012 22:43:46 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></table>
<script type="text/javascript" src="jit.js" ></script>
<script type="text/javascript" src="treemap-dash-json.js" ></script>
</body>

</html>
